Security Only updates for .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, and 4.7.2 for Windows 7 SP1 and Server 2008 R2 SP2 (KB 4457914)

Applies to: Microsoft .NET Framework 4.7.NET Framework 4.6Microsoft .NET Framework 4.5.2

Summary


This security update resolves a vulnerability in Microsoft .NET Framework that could allow remote code execution when .NET Framework processes untrusted input. An attacker who successfully exploits this vulnerability in software by using .NET Framework could take control of an affected system. The attacker could then install programs; view, change, or delete data; or create new accounts that have full user rights. Users whose accounts are configured to have fewer user rights on the system could be less affected than users who operate with administrative user rights.

To exploit the vulnerability, an attacker would first have to convince the user to open a malicious document or application.

This security update addresses the vulnerability by correcting how .NET Framework validates untrusted input.

To learn more about this vulnerability, see Microsoft Common Vulnerabilities and Exposures CVE-2018-8421.

Important

  • All updates for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, and 4.7.2 require that the d3dcompiler_47.dll is installed. We recommend that you install the included d3dcompiler_47.dll before you apply this update. For more information about the d3dcompiler_47.dll, see KB 4019990.
  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Known issues


After the September 2018 .NET Framework security update is applied to resolve CVE-2018-8421 (.NET Framework remote code execution vulnerability), SharePoint out-of-the-box workflows stop working.

For more information about this known issue, see the following article in the Microsoft Knowledge Base:

4465015 SharePoint Workflows stop working after you install .NET security updates for CVE-2018-8421

Additional information about this security update


The following articles contain additional information about this security update as it relates to individual product versions.
 
  • 4457055 Description of the Security Only update for .NET Framework 3.5.1 for Windows 7 SP1 and Server 2008 R2 SP1 (KB 4457055)
  • 4457030 Description of the Security Only update for .NET Framework 4.5.2 for Windows 7 SP1, Server 2008 R2 SP1, and Server 2008 SP2 (KB 4457030)
  • 4457027 Description of the Security Only update for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, and 4.7.2 for Windows 7 SP1 and Server 2008 R2 SP1 and for .NET Framework 4.6 for Server 2008 SP2 (KB 4457027)

How to obtain help and support for this security update